#include <stdio.h>
#include <stdlib.h>
#include <sys/shm.h>
#include <time.h>

#define SHM_KEY  99

main()
{
    int seg_id;
    char *mem_ptr;
    
    if((seg_id=shmget(SHM_KEY,00,0777))==-1)
    {
	perror("shmget");
	exit(1);
    }
    mem_ptr=shmat(seg_id,NULL,0);
    if(mem_ptr==NULL)
    {
	perror("shmat");
	exit(1);
    }
    printf("The time from server is:%s\n",mem_ptr);
    shmdt(mem_ptr);
}
